MASTER(8)

NAME
master - master Cyrus process

SYNOPSIS
master [ -l listen queue ] [ -p pidfile ] -d [ -D ]

DESCRIPTION
Master is the process that controls all of the Cyrus processes. This process is responsible for creating all imapd, pop3d, lmtpd and sieved child processes. This process also initializes the Berkeley DB code and performs scheduled cleanup/maintenance.

If this process dies, then no new sessions will be started.

It kills itself and all child processes when it receives a SIGTERM.

OPTIONS

-l listen queue backlog
    Increase the listen queue backlog. By default, the listen queue is set to 32. On systems with a high connection rate, it may be desirable to increase this value. refer to listen(2) for details.

-p pidfile
    Use pidfile as the pidfile. If not specified, defaults to /var/run/cyrus-master.pid

-d  Start in daemon mode (run in background and disconnect from controlling terminal).

-D  Don't close stdin/stdout/stderr. Primiarly useful for debugging.

CONFIGURATION
Upon execution, master reads its configuration information out of the cyrus.conf(5) file.

Master rereads its configuration file when it receives a hangup signal, SIGHUP. Services and events may be added, deleted or modified when the configuration file is reread. Any active services removed from the configuration file will be allowed to run until completion.

NOTES
The environment variable CYRUS_VERBOSE can be set to log additional debugging information. Setting the value to 1 results in base level logging. Setting it higher results in more log messages being generated.

FILES

/etc/cyrus.conf, /etc/imapd.conf, /var/run/cyrus-master.pid

SEE ALSO

cyrus.conf(5), imapd.conf(5), imapd(8), pop3d(8), lmtpd(8), timsieved(8), idled(8)